Provide separate edit tags for Android and iOS apps
Closed, ResolvedPublic

Description

We can easily determine the total number of edits made via either the iOS or the Android app by using the public mobile app edit tag (example: English Wikipedia), which already indicates that the vast majority of edits from the Android app still comes from non-description edits (cf. T184096#4164186 ). However, this does not give us the numbers for Android (or iOS) separately.

To that end, we should have separate edit tags for the Android and iOS apps going forward. First step would probably be to look at the code that currently creates the mobile app edit and see if it can be modified to include ios app edit/android app edit in addition to mobile add edit. (See mw:Manual:Tags.)

It appears natural to calculate this number by project (wiki) first, followed by segments once the segmentation endeavor has something.

Tbayer created this task.May 10 2018, 7:55 PM
Neil_P._Quinn_WMF triaged this task as Normal priority.May 10 2018, 8:07 PM
Neil_P._Quinn_WMF moved this task from Triage to Backlog on the Product-Analytics board.
Tbayer updated the task description. (Show Details)
Tbayer renamed this task from Determine rate of edits made via the Android Wikipedia app to Provide separate edit tags for Android and iOS apps (was: Determine rate of edits made via the Android Wikipedia app).Jun 13 2018, 5:37 PM
Tbayer added a project: iOS-app-Bugs.
Tbayer updated the task description. (Show Details)
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptJun 13 2018, 5:37 PM
mpopov renamed this task from Provide separate edit tags for Android and iOS apps (was: Determine rate of edits made via the Android Wikipedia app) to Provide separate edit tags for Android and iOS apps.Jun 13 2018, 6:40 PM
mpopov updated the task description. (Show Details)
mpopov edited subscribers, added: chelsyx; removed: Tbayer, Charlotte.
Dbrant added a subscriber: Dbrant.Jun 18 2018, 8:29 PM

The mobile-app-edit tag is added by the MobileApp extension (which is one of the only raisons d'être of this extension). This is because the editing API doesn't provide a way to set tags for each edit.

The extension simply looks at the User-agent and determines whether it matches WikipediaApp, meaning that we can very easily modify it to check more specifically for Android or iOS and set the corresponding tag.

Change 440969 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[mediawiki/extensions/MobileApp@master] Add platform-specific tags to edits submitted from apps.

https://gerrit.wikimedia.org/r/440969

Change 440969 merged by jenkins-bot:
[mediawiki/extensions/MobileApp@master] Add platform-specific tags to edits submitted from apps.

https://gerrit.wikimedia.org/r/440969

Mholloway raised the priority of this task from Normal to Needs Triage.
Vvjjkkii renamed this task from Provide separate edit tags for Android and iOS apps to n6caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii removed Mholloway as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Mholloway; removed: gerritbot.
Jhernandez closed this task as Resolved.Jul 3 2018, 12:47 PM